#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### konqsidebar_delicious (kpart) #############

tde_add_kpart( konqsidebar_delicious AUTOMOC
  SOURCES plugin.cpp widget.ui mainWidget.cpp plugin.skel tagListItem.cpp
    bookmarkListItem.cpp
  LINK konq-shared konqsidebarplugin-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE delicious_add.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
  PO_DIR konq-plugins-desktops
)
